Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Typers extends Adaptations with Tags with TypersTracking with PatternTypers

  This trait provides methods to assign types to trees.

  This trait provides methods to assign types to trees.

  Definition Classes
    typechecker
  Version

    1.0

- Adaptation
- PatternTyper
- SilentResult
- SilentResultValue
- SilentTypeError
- Tag
- Typer
- typingStack

c

scala.tools.nsc.typechecker.Typers

# SilentResultValue 

###

#### case class SilentResultValue[+T](value: T) extends Analyzer.SilentResult[T] with Product with Serializable

Source
  Typers.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Analyzer.SilentResult[T], AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SilentResultValue
2. Serializable
3. Serializable
4. Product
5. Equals
6. SilentResult
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SilentResultValue(value: T)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to any2stringadd[Analyzer.SilentResultValue[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.SilentResultValue[T], B)
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to ArrowAssoc[Analyzer.SilentResultValue[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Analyzer.SilentResultValue[T]) ⇒ Boolean, msg: ⇒ Any): Analyzer.SilentResultValue[T]
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to Ensuring[Analyzer.SilentResultValue[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Analyzer.SilentResultValue[T]) ⇒ Boolean): Analyzer.SilentResultValue[T]
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to Ensuring[Analyzer.SilentResultValue[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.SilentResultValue[T]
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to Ensuring[Analyzer.SilentResultValue[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Analyzer.SilentResultValue[T]
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to Ensuring[Analyzer.SilentResultValue[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def filter(p: (T) ⇒ Boolean): Analyzer.SilentResult[T]
    Definition Classes
      SilentResult
    Annotations
      @inline()
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def fold[U](none: ⇒ U)(f: (T) ⇒ U): U
    Definition Classes
      SilentResult
    Annotations
      @inline()
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to StringFormat[Analyzer.SilentResultValue[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def isEmpty: Boolean
    Definition Classes
      SilentResultValue → SilentResult
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def map[U](f: (T) ⇒ U): Analyzer.SilentResult[U]
    Definition Classes
      SilentResult
    Annotations
      @inline()
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def nonEmpty: Boolean
    Definition Classes
      SilentResult
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def orElse[T1 >: T](f: (Seq[Analyzer.AbsTypeError]) ⇒ T1): T1
    Definition Classes
      SilentResult
    Annotations
      @inline()
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  val value: T
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  def →[B](y: B): (Analyzer.SilentResultValue[T], B)
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResultValue[T] to ArrowAssoc[Analyzer.SilentResultValue[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Analyzer.SilentResult[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.SilentResultValue[T] to any2stringadd[Analyzer.SilentResultValue[T]]

### Inherited by implicit conversion StringFormat from Analyzer.SilentResultValue[T] to StringFormat[Analyzer.SilentResultValue[T]]

### Inherited by implicit conversion Ensuring from Analyzer.SilentResultValue[T] to Ensuring[Analyzer.SilentResultValue[T]]

### Inherited by implicit conversion ArrowAssoc from Analyzer.SilentResultValue[T] to ArrowAssoc[Analyzer.SilentResultValue[T]]

### Ungrouped